Leaderboards
List leaderboards
GET
/v1/leaderboardsEvery live leaderboard the player may see, with their own rank and score on each. A player the environment has never seen gets the list everyone starts with, unranked.
Authorization
ApiKey AuthorizationBearer <token>
Paste a project API key (no 'Bearer ' prefix). Create one in the dashboard under API keys.
In: header
Query Parameters
PlayerId?string
LanguageCode?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/leaderboards"[ { "leaderboardKey": "string", "name": "string", "description": null, "images": { "property1": "string", "property2": "string" }, "scoreSource": "Event", "aggregation": null, "rankOrder": "HighestFirst", "ranksTeams": true, "period": { "startsAtUtc": null, "endsAtUtc": null }, "isLocked": true, "participants": 0, "me": null, "league": null, "team": null }]